#define BOOST_TEST_NO_MAIN
#define BOOST_TEST_DYN_LINK

#include <iostream>

#include <boost/make_shared.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/test/unit_test.hpp>
#include <boost/thread.hpp>

#define HAVE_CURL 1
#include "http_client.h"
#include "src/propertysystem.h"
#include "src/dss.h"
#include "src/event.h"
#include "src/foreach.h"

using namespace dss;

BOOST_AUTO_TEST_SUITE(CurlTest)

BOOST_AUTO_TEST_CASE(curlTest) {
    boost::shared_ptr<HttpClient> curl(new HttpClient());
    std::string url = "http://www.digitalstrom.com";
    std::string result;

    BOOST_CHECK_EQUAL(curl->request(url, GET, &result), 200);
    BOOST_CHECK_EQUAL(curl->request(url, POST, NULL), 200);

    HashMapStringString header;
    header["bar"] = "dada";
    HashMapStringString postform;
    postform["foo"] = "bogus";
    BOOST_CHECK_EQUAL(curl->request(url, POST, boost::make_shared<HashMapStringString>(header),
                                    boost::make_shared<HashMapStringString>(postform),
                                    &result), 200);
}

BOOST_AUTO_TEST_SUITE_END()
